## r-cran-usethis 1.4.0

=== DESCRIPTION ===
Package: usethis
Title: Automate Package and Project Setup
Version: 1.4.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"), 
      comment = c(ORCID = "0000-0003-4757-117X")
    ),
    person("Jennifer", "Bryan", , "jenny@rstudio.com", role = "aut",
      comment = c(ORCID = "0000-0002-6983-2759")
    ),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Automate package and project setup tasks that are otherwise
    performed manually. This includes setting up unit testing, test 
    coverage, continuous integration, Git, 'GitHub', licenses, 'Rcpp', 'RStudio' 
    projects, and more.
License: GPL-3
URL: https://github.com/r-lib/usethis
BugReports: https://github.com/r-lib/usethis/issues
Depends: R (>= 3.1)
Imports: clipr (>= 0.3.0), clisymbols, crayon, curl (>= 2.7), desc, fs
        (>= 1.2.0), gh, git2r (>= 0.23), glue, rlang, rprojroot (>=
        1.2), rstudioapi, utils, whisker
Suggests: covr, knitr, magick, rmarkdown, roxygen2, spelling (>= 1.2),
        styler (>= 1.0.2), testthat (>= 2.0.0), withr
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-08-14 05:17:52 UTC; jenny
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-08-14 12:10:02 UTC

=== debian/changelog ===
r-cran-usethis (1.4.0-1) unstable; urgency=medium

  * Initial release (closes: #911989)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 26 Oct 2018 23:15:53 +0200

=== debian/control ===
Source: r-cran-usethis
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-clipr,
               r-cran-clisymbols,
               r-cran-crayon,
               r-cran-curl (>= 2.7),
               r-cran-desc,
               r-cran-fs,
               r-cran-gh,
               r-cran-git2r (>= 0.23),
               r-cran-glue,
               r-cran-rlang,
               r-cran-rprojroot,
               r-cran-rstudioapi,
               r-cran-whisker
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
Homepage: https://cran.r-project.org/package=usethis

Package: r-cran-usethis
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Automate Package and Project Setup
 Automate package and project setup tasks that are otherwise
 performed manually. This includes setting up unit testing, test
 coverage, continuous integration, Git, 'GitHub', licenses, 'Rcpp', 'RStudio'
 projects, and more.

## r-cran-usethis 1.5.1

=== DESCRIPTION ===
Package: usethis
Title: Automate Package and Project Setup
Version: 1.5.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut",
      comment = c(ORCID = "0000-0003-4757-117X")
    ),
    person("Jennifer", "Bryan", , "jenny@rstudio.com", c("aut", "cre"),
      comment = c(ORCID = "0000-0002-6983-2759")
    ),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Automate package and project setup tasks that are otherwise
    performed manually. This includes setting up unit testing, test 
    coverage, continuous integration, Git, 'GitHub', licenses, 'Rcpp', 'RStudio' 
    projects, and more.
License: GPL-3
URL: https://usethis.r-lib.org, https://github.com/r-lib/usethis
BugReports: https://github.com/r-lib/usethis/issues
Depends: R (>= 3.2)
Imports: clipr (>= 0.3.0), clisymbols, crayon, curl (>= 2.7), desc, fs
        (>= 1.3.0), gh, git2r (>= 0.23), glue (>= 1.3.0), purrr, rlang,
        rprojroot (>= 1.2), rstudioapi, stats, utils, whisker, withr,
        yaml
Suggests: covr, knitr, magick, pkgdown (>= 1.1.0), rmarkdown, roxygen2,
        spelling (>= 1.2), styler (>= 1.0.2), testthat (>= 2.1.0)
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-04 07:03:22 UTC; jenny
Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2019-07-04 11:00:05 UTC

=== debian/changelog ===
r-cran-usethis (1.5.1-2) unstable; urgency=medium

  * Fix autopkgtest.
  * debhelper-compat 12
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sun, 09 Feb 2020 11:11:27 +0100

r-cran-usethis (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:15:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-clipr,
@@ -12,15 +12,18 @@
                r-cran-crayon,
                r-cran-curl (>= 2.7),
                r-cran-desc,
-               r-cran-fs,
+               r-cran-fs (>= 1.3.0),
                r-cran-gh,
-               r-cran-git2r (>= 0.23),
+               r-cran-git2r,
                r-cran-glue,
+               r-cran-purrr,
                r-cran-rlang,
                r-cran-rprojroot,
                r-cran-rstudioapi,
-               r-cran-whisker
-Standards-Version: 4.2.1
+               r-cran-whisker,
+               r-cran-withr,
+               r-cran-yaml
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-roxygen2, r-cran-tibble, r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-usethis 1.6.1

=== debian/changelog ===
r-cran-usethis (1.6.1-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:38:04 +0200

r-cran-usethis (1.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 May 2020 08:35:27 +0200

r-cran-usethis (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 18 Apr 2020 23:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
                dh-r,
                r-base-dev,
                r-cran-clipr,
-               r-cran-clisymbols,
+               r-cran-cli,
                r-cran-crayon,
                r-cran-curl (>= 2.7),
                r-cran-desc,
                r-cran-fs (>= 1.3.0),
-               r-cran-gh,
+               r-cran-gh (>= 1.1.0),
                r-cran-git2r,
                r-cran-glue,
                r-cran-purrr,
-               r-cran-rlang,
+               r-cran-rematch2,
+               r-cran-rlang (>= 0.4.3),
                r-cran-rprojroot,
                r-cran-rstudioapi,
                r-cran-whisker,
@@ -27,6 +28,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis
+Rules-Requires-Root: no
 
 Package: r-cran-usethis
 Architecture: all

## r-cran-usethis 2.0.0

=== DESCRIPTION ===
Package: usethis
Title: Automate Package and Project Setup
Version: 2.0.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com",
             comment = c(ORCID = "0000-0003-4757-117X")),
      person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Automate package and project setup tasks that are
    otherwise performed manually. This includes setting up unit testing,
    test coverage, continuous integration, Git, 'GitHub', licenses,
    'Rcpp', 'RStudio' projects, and more.
License: MIT + file LICENSE
URL: https://usethis.r-lib.org, https://github.com/r-lib/usethis
BugReports: https://github.com/r-lib/usethis/issues
Depends: R (>= 3.2)
Imports: cli, clipr (>= 0.3.0), crayon, curl (>= 2.7), desc, fs (>=
        1.3.0), gert (>= 1.0.2), gh (>= 1.2.0), glue (>= 1.3.0),
        jsonlite, lifecycle, purrr, rappdirs, rlang (>= 0.4.3),
        rprojroot (>= 1.2), rstudioapi, stats, utils, whisker, withr
        (>= 2.3.0), yaml
Suggests: covr, knitr, magick, mockr, rmarkdown, roxygen2, spelling (>=
        1.2), styler (>= 1.2.0), testthat (>= 3.0.0)
RdMacros: lifecycle
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2020-12-10 05:02:44 UTC; jenny
Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2020-12-10 09:00:02 UTC

=== debian/changelog ===
r-cran-usethis (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: r-cran-mockr

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 22:39:57 +0100

r-cran-usethis (1.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:48:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-clipr,
@@ -23,8 +23,10 @@
                r-cran-rstudioapi,
                r-cran-whisker,
                r-cran-withr,
-               r-cran-yaml
-Standards-Version: 4.5.0
+               r-cran-yaml,
+               r-cran-gert,
+               r-cran-rappdirs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

## r-cran-usethis 2.1.5

=== DESCRIPTION ===
Package: usethis
Title: Automate Package and Project Setup
Version: 2.1.5
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com",
             comment = c(ORCID = "0000-0003-4757-117X")),
      person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "Malcolm",
             family = "Barrett",
             role = "aut",
             email = "malcolmbarrett@gmail.com",
             comment = c(ORCID = "0000-0003-0299-5825")),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Automate package and project setup tasks that are
    otherwise performed manually. This includes setting up unit testing,
    test coverage, continuous integration, Git, 'GitHub', licenses,
    'Rcpp', 'RStudio' projects, and more.
License: MIT + file LICENSE
URL: https://usethis.r-lib.org, https://github.com/r-lib/usethis
BugReports: https://github.com/r-lib/usethis/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.0.1), clipr (>= 0.3.0), crayon, curl (>= 2.7), desc
        (>= 1.4.0), fs (>= 1.3.0), gert (>= 1.4.1), gh (>= 1.2.1), glue
        (>= 1.3.0), jsonlite, lifecycle (>= 1.0.0), purrr, rappdirs,
        rlang (>= 0.4.10), rprojroot (>= 1.2), rstudioapi, stats,
        utils, whisker, withr (>= 2.3.0), yaml
Suggests: covr, knitr, magick, mockr, pkgload, rmarkdown, roxygen2 (>=
        7.1.2), spelling (>= 1.2), styler (>= 1.2.0), testthat (>=
        3.1.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-12-09 18:41:36 UTC; jenny
Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Malcolm Barrett [aut] (<https://orcid.org/0000-0003-0299-5825>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2021-12-09 23:00:02 UTC

=== inst/templates/Makefile ===
# h/t to @jimhester and @yihui for this parse block:
# https://github.com/yihui/knitr/blob/dc5ead7bcfc0ebd2789fe99c527c7d91afb3de4a/Makefile#L1-L4
# Note the portability change as suggested in the manual:
# https://cran.r-project.org/doc/manuals/r-release/R-exts.html#Writing-portable-packages
PKGNAME = `sed -n "s/Package: *\([^ ]*\)/\1/p" DESCRIPTION`
PKGVERS = `sed -n "s/Version: *\([^ ]*\)/\1/p" DESCRIPTION`


all: check

build: install_deps
	R CMD build .

check: build
	R CMD check --no-manual $(PKGNAME)_$(PKGVERS).tar.gz

install_deps:
	Rscript \
	-e 'if (!requireNamespace("remotes")) install.packages("remotes")' \
	-e 'remotes::install_deps(dependencies = TRUE)'

install: build
	R CMD INSTALL $(PKGNAME)_$(PKGVERS).tar.gz

clean:
	@rm -rf $(PKGNAME)_$(PKGVERS).tar.gz $(PKGNAME).Rcheck

=== debian/changelog ===
r-cran-usethis (2.1.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1.5

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Dec 2021 18:20:37 +0530

r-cran-usethis (2.1.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1.3
  * Fix d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Thu, 28 Oct 2021 15:05:19 +0000

r-cran-usethis (2.1.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1.2
  * Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Oct 2021 22:04:35 +0530

r-cran-usethis (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 15:51:05 +0000

r-cran-usethis (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Aug 2021 07:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli (>= 3.0.1),
                r-cran-clipr,
-               r-cran-cli,
                r-cran-crayon,
-               r-cran-curl (>= 2.7),
-               r-cran-desc,
+               r-cran-curl,
+               r-cran-desc (>= 1.4.0),
                r-cran-fs (>= 1.3.0),
-               r-cran-gh (>= 1.1.0),
-               r-cran-git2r,
+               r-cran-gert (>= 1.4.1),
+               r-cran-gh (>= 1.2.1),
                r-cran-glue,
+               r-cran-jsonlite,
+               r-cran-lifecycle (>= 1.0.0),
                r-cran-purrr,
-               r-cran-rematch2,
-               r-cran-rlang (>= 0.4.3),
+               r-cran-rappdirs,
+               r-cran-rlang (>= 0.4.10),
                r-cran-rprojroot,
                r-cran-rstudioapi,
                r-cran-whisker,
-               r-cran-withr,
-               r-cran-yaml,
-               r-cran-gert,
-               r-cran-rappdirs
-Standards-Version: 4.5.1
+               r-cran-withr (>= 2.3.0),
+               r-cran-yaml
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-roxygen2, r-cran-tibble, r-cran-rmarkdown, r-cran-mockr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/usethis_([-\d.]*)\.tar\.gz

## r-cran-usethis 2.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: usethis
 Title: Automate Package and Project Setup
-Version: 2.1.5
+Version: 2.1.6
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -30,22 +30,22 @@
 Imports: cli (>= 3.0.1), clipr (>= 0.3.0), crayon, curl (>= 2.7), desc
         (>= 1.4.0), fs (>= 1.3.0), gert (>= 1.4.1), gh (>= 1.2.1), glue
         (>= 1.3.0), jsonlite, lifecycle (>= 1.0.0), purrr, rappdirs,
-        rlang (>= 0.4.10), rprojroot (>= 1.2), rstudioapi, stats,
-        utils, whisker, withr (>= 2.3.0), yaml
+        rlang (>= 1.0.0), rprojroot (>= 1.2), rstudioapi, stats, utils,
+        whisker, withr (>= 2.3.0), yaml
 Suggests: covr, knitr, magick, mockr, pkgload, rmarkdown, roxygen2 (>=
         7.1.2), spelling (>= 1.2), styler (>= 1.2.0), testthat (>=
         3.1.0)
-Config/Needs/website: tidyverse/tidytemplate
+Config/Needs/website: tidyverse/tidytemplate, xml2
 Config/testthat/edition: 3
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2021-12-09 18:41:36 UTC; jenny
+Packaged: 2022-05-25 20:21:49 UTC; jenny
 Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
   Malcolm Barrett [aut] (<https://orcid.org/0000-0003-0299-5825>),
   RStudio [cph, fnd]
 Maintainer: Jennifer Bryan <jenny@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-12-09 23:00:02 UTC
+Date/Publication: 2022-05-25 20:50:02 UTC

=== debian/changelog ===
r-cran-usethis (2.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.6
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 18:59:24 +0530

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                r-cran-whisker,
                r-cran-withr (>= 2.3.0),
                r-cran-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

## r-cran-usethis 2.2.2

=== DESCRIPTION ===
Package: usethis
Title: Automate Package and Project Setup
Version: 2.2.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Jennifer", "Bryan", , "jenny@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("Malcolm", "Barrett", , "malcolmbarrett@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-0299-5825")),
    person("Andy", "Teucher", , "andy.teucher@posit.co", role = "aut",
           comment = c(ORCID = "0000-0002-7840-692X")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Automate package and project setup tasks that are otherwise
    performed manually. This includes setting up unit testing, test
    coverage, continuous integration, Git, 'GitHub', licenses, 'Rcpp',
    'RStudio' projects, and more.
License: MIT + file LICENSE
URL: https://usethis.r-lib.org, https://github.com/r-lib/usethis
BugReports: https://github.com/r-lib/usethis/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.1), clipr (>= 0.3.0), crayon, curl (>= 2.7), desc
        (>= 1.4.2), fs (>= 1.3.0), gert (>= 1.4.1), gh (>= 1.2.1), glue
        (>= 1.3.0), jsonlite, lifecycle (>= 1.0.0), purrr, rappdirs,
        rlang (>= 1.1.0), rprojroot (>= 1.2), rstudioapi, stats, utils,
        whisker, withr (>= 2.3.0), yaml
Suggests: covr, knitr, magick, pkgload, rmarkdown, roxygen2 (>= 7.1.2),
        spelling (>= 1.2), styler (>= 1.2.0), testthat (>= 3.1.8)
Config/Needs/website: tidyverse/tidytemplate, xml2
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-07-05 16:52:17 UTC; jenny
Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Malcolm Barrett [aut] (<https://orcid.org/0000-0003-0299-5825>),
  Andy Teucher [aut] (<https://orcid.org/0000-0002-7840-692X>),
  Posit Software, PBC [cph, fnd]
Maintainer: Jennifer Bryan <jenny@posit.co>
Repository: CRAN
Date/Publication: 2023-07-06 00:20:02 UTC

=== debian/changelog ===
r-cran-usethis (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:36:41 +0200

r-cran-usethis (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:51:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                r-cran-clipr,
                r-cran-crayon,
                r-cran-curl,
-               r-cran-desc (>= 1.4.0),
-               r-cran-fs (>= 1.3.0),
+               r-cran-desc (>= 1.4.2),
+               r-cran-fs,
                r-cran-gert (>= 1.4.1),
                r-cran-gh (>= 1.2.1),
                r-cran-glue,
@@ -20,13 +20,13 @@
                r-cran-lifecycle (>= 1.0.0),
                r-cran-purrr,
                r-cran-rappdirs,
-               r-cran-rlang (>= 0.4.10),
+               r-cran-rlang (>= 1.1.0),
                r-cran-rprojroot,
                r-cran-rstudioapi,
                r-cran-whisker,
-               r-cran-withr (>= 2.3.0),
+               r-cran-withr,
                r-cran-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-magick,
        r-cran-pkgload,
        r-cran-rmarkdown,
        r-cran-roxygen2 (>= 7.1.2),
        r-cran-spelling (>= 1.2),
        r-cran-testthat (>= 3.1.8)
Restrictions: allow-stderr

## r-cran-usethis 2.2.3

=== debian/changelog ===
r-cran-usethis (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 11:37:51 +0900

## r-cran-usethis 3.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: usethis
 Title: Automate Package and Project Setup
-Version: 2.2.2
+Version: 3.0.0
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
            comment = c(ORCID = "0000-0003-4757-117X")),
@@ -25,15 +25,18 @@
         (>= 1.3.0), jsonlite, lifecycle (>= 1.0.0), purrr, rappdirs,
         rlang (>= 1.1.0), rprojroot (>= 1.2), rstudioapi, stats, utils,
         whisker, withr (>= 2.3.0), yaml
-Suggests: covr, knitr, magick, pkgload, rmarkdown, roxygen2 (>= 7.1.2),
-        spelling (>= 1.2), styler (>= 1.2.0), testthat (>= 3.1.8)
-Config/Needs/website: tidyverse/tidytemplate, xml2
+Suggests: covr, knitr, magick, pkgload (>= 1.3.2.1), rmarkdown,
+        roxygen2 (>= 7.1.2), spelling (>= 1.2), styler (>= 1.2.0),
+        testthat (>= 3.1.8)
+Config/Needs/website: r-lib/asciicast, tidyverse/tidytemplate, xml2
 Config/testthat/edition: 3
+Config/testthat/parallel: TRUE
+Config/testthat/start-first: github-actions, release
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-07-05 16:52:17 UTC; jenny
+Packaged: 2024-07-28 23:07:11 UTC; jenny
 Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
   Malcolm Barrett [aut] (<https://orcid.org/0000-0003-0299-5825>),
@@ -41,4 +44,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Jennifer Bryan <jenny@posit.co>
 Repository: CRAN
-Date/Publication: 2023-07-06 00:20:02 UTC
+Date/Publication: 2024-07-29 07:20:02 UTC

=== debian/changelog ===
r-cran-usethis (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Sep 2024 10:27:19 +0900

## r-cran-usethis 3.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: usethis
 Title: Automate Package and Project Setup
-Version: 3.0.0
+Version: 3.1.0
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
            comment = c(ORCID = "0000-0003-4757-117X")),
@@ -23,8 +23,8 @@
 Imports: cli (>= 3.0.1), clipr (>= 0.3.0), crayon, curl (>= 2.7), desc
         (>= 1.4.2), fs (>= 1.3.0), gert (>= 1.4.1), gh (>= 1.2.1), glue
         (>= 1.3.0), jsonlite, lifecycle (>= 1.0.0), purrr, rappdirs,
-        rlang (>= 1.1.0), rprojroot (>= 1.2), rstudioapi, stats, utils,
-        whisker, withr (>= 2.3.0), yaml
+        rlang (>= 1.1.0), rprojroot (>= 1.2), rstudioapi, stats, tools,
+        utils, whisker, withr (>= 2.3.0), yaml
 Suggests: covr, knitr, magick, pkgload (>= 1.3.2.1), rmarkdown,
         roxygen2 (>= 7.1.2), spelling (>= 1.2), styler (>= 1.2.0),
         testthat (>= 3.1.8)
@@ -36,7 +36,7 @@
 Language: en-US
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-07-28 23:07:11 UTC; jenny
+Packaged: 2024-11-25 22:12:19 UTC; jenny
 Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
   Malcolm Barrett [aut] (<https://orcid.org/0000-0003-0299-5825>),
@@ -44,4 +44,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Jennifer Bryan <jenny@posit.co>
 Repository: CRAN
-Date/Publication: 2024-07-29 07:20:02 UTC
+Date/Publication: 2024-11-26 10:20:02 UTC

=== debian/changelog ===
r-cran-usethis (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 09:50:07 +0900

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                r-cran-whisker,
                r-cran-withr,
                r-cran-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
          r-cran-covr,
         r-cran-knitr,
         r-cran-magick,
-        r-cran-pkgload,
+        r-cran-pkgload (>= 1.3.2.1),
         r-cran-rmarkdown,
         r-cran-roxygen2 (>= 7.1.2),
         r-cran-spelling (>= 1.2),

## r-cran-usethis 3.2.1

=== debian/changelog ===
r-cran-usethis (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 09:16:26 +0900

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,28 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 3.0.1),
+               r-cran-cli,
                r-cran-clipr,
                r-cran-crayon,
                r-cran-curl,
-               r-cran-desc (>= 1.4.2),
+               r-cran-desc,
                r-cran-fs,
-               r-cran-gert (>= 1.4.1),
-               r-cran-gh (>= 1.2.1),
+               r-cran-gert,
+               r-cran-gh,
                r-cran-glue,
                r-cran-jsonlite,
-               r-cran-lifecycle (>= 1.0.0),
+               r-cran-lifecycle,
                r-cran-purrr,
                r-cran-rappdirs,
                r-cran-rlang (>= 1.1.0),
-               r-cran-rprojroot,
+               r-cran-rprojroot (>= 2.1.1),
                r-cran-rstudioapi,
                r-cran-whisker,
                r-cran-withr,
-               r-cran-yaml
-Standards-Version: 4.7.0
+               r-cran-yaml,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-usethis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-usethis.git
 Homepage: https://cran.r-project.org/package=usethis
